[Fuego] [PATCH 07/10] kernel_build: put the test in test_run not test_build

Daniel Sangorrin daniel.sangorrin at toshiba.co.jp
Tue Mar 27 08:53:23 UTC 2018


This is important because we want to test the kernel incrementally
and without having to set rebuild to tru which would clone
the kernel again.

Signed-off-by: Daniel Sangorrin <daniel.sangorrin at toshiba.co.jp>
---
 engine/tests/Functional.kernel_build/fuego_test.sh | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/engine/tests/Functional.kernel_build/fuego_test.sh b/engine/tests/Functional.kernel_build/fuego_test.sh
index 39e692c..af1dd20 100755
--- a/engine/tests/Functional.kernel_build/fuego_test.sh
+++ b/engine/tests/Functional.kernel_build/fuego_test.sh
@@ -24,7 +24,15 @@ function test_pre_check {
     fi
 }
 
-function test_build {
+function test_run {
+    # make sure we have the latest source code.
+    cd "$WORKSPACE/$JOB_BUILD_DIR"
+    if [ -d ".git" ]; then
+        git pull || echo "WARNING: git pull failed"
+    else
+        echo "WARNING: no git repository, assuming you used a tarball"
+    fi
+
     if [ -z "$FUNCTIONAL_KERNEL_BUILD_CONFIG" ]; then
         FUNCTIONAL_KERNEL_BUILD_CONFIG="defconfig"
     fi
-- 
2.7.4




More information about the Fuego mailing list